## Operations

### get available resources

    GET /apis/authorization.k8s.io/v1

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | v1.APIResourceList

#### Consumes

- application/json

- application/yaml

- application/vnd.kubernetes.protobuf

#### Produces

- application/json

- application/yaml

- application/vnd.kubernetes.protobuf

#### Tags

- apisauthorization.k8s.iov1

### create a LocalSubjectAccessReview

    POST /apis/authorization.k8s.io/v1/namespaces/{namespace}/localsubjectaccessreviews

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.LocalSubjectAccessReview |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
202 | Accepted | v1.LocalSubjectAccessReview
200 | success | v1.LocalSubjectAccessReview
201 | Created | v1.LocalSubjectAccessReview

#### Consumes

- /

#### Produces

- application/json

- application/yaml

- application/vnd.kubernetes.protobuf

#### Tags

- apisauthorization.k8s.iov1

### create a SelfSubjectAccessReview

    POST /apis/authorization.k8s.io/v1/selfsubjectaccessreviews

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.SelfSubjectAccessReview |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
202 | Accepted | v1.SelfSubjectAccessReview
200 | success | v1.SelfSubjectAccessReview
201 | Created | v1.SelfSubjectAccessReview

#### Consumes

- /

#### Produces

- application/json

- application/yaml

- application/vnd.kubernetes.protobuf

#### Tags

- apisauthorization.k8s.iov1

### create a SelfSubjectRulesReview

    POST /apis/authorization.k8s.io/v1/selfsubjectrulesreviews

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.SelfSubjectRulesReview |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
202 | Accepted | v1.SelfSubjectRulesReview
200 | success | v1.SelfSubjectRulesReview
201 | Created | v1.SelfSubjectRulesReview

#### Consumes

- /

#### Produces

- application/json

- application/yaml

- application/vnd.kubernetes.protobuf

#### Tags

- apisauthorization.k8s.iov1

### create a SubjectAccessReview

    POST /apis/authorization.k8s.io/v1/subjectaccessreviews

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.SubjectAccessReview |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
202 | Accepted | v1.SubjectAccessReview
200 | success | v1.SubjectAccessReview
201 | Created | v1.SubjectAccessReview

#### Consumes

- /

#### Produces

- application/json

- application/yaml

- application/vnd.kubernetes.protobuf

#### Tags

- apisauthorization.k8s.iov1